diff -u ./multiplayer/cl_dll/hl/hl_baseentity.cpp.orig ./multiplayer/cl_dll/hl/hl_baseentity.cpp
--- ./multiplayer/cl_dll/hl/hl_baseentity.cpp.orig	2002-10-03 11:57:24.000000000 -0400
+++ ./multiplayer/cl_dll/hl/hl_baseentity.cpp	2002-11-26 23:24:32.000000000 -0500
@@ -264,4 +264,4 @@
 int CBasePlayerWeapon::ExtractClipAmmo( CBasePlayerWeapon *pWeapon ) { return 0; }	
 void CBasePlayerWeapon::RetireWeapon( void ) { }
 void CSoundEnt::InsertSound ( int iType, const Vector &vecOrigin, int iVolume, float flDuration ) {}
-void RadiusDamage( Vector vecSrc, entvars_t *pevInflictor, entvars_t *pevAttacker, float flDamage, float flRadius, int iClassIgnore, int bitsDamageType ){}
\ No newline at end of file
+void RadiusDamage( Vector vecSrc, entvars_t *pevInflictor, entvars_t *pevAttacker, float flDamage, float flRadius, int iClassIgnore, int bitsDamageType ){}
diff -u ./multiplayer/common/r_studioint.h.orig ./multiplayer/common/r_studioint.h
--- ./multiplayer/common/r_studioint.h.orig	2002-10-03 11:57:26.000000000 -0400
+++ ./multiplayer/common/r_studioint.h	2002-11-26 23:25:25.000000000 -0500
@@ -8,7 +8,9 @@
 #if !defined( R_STUDIOINT_H )
 #define R_STUDIOINT_H
 #if defined( _WIN32 )
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #define STUDIO_INTERFACE_VERSION 1
@@ -144,4 +146,4 @@
 					const edict_t *pEdict );
 } sv_blending_interface_t;
 
-#endif // R_STUDIOINT_H
\ No newline at end of file
+#endif // R_STUDIOINT_H
diff -u ./multiplayer/common/beamdef.h.orig ./multiplayer/common/beamdef.h
--- ./multiplayer/common/beamdef.h.orig	2002-10-03 11:57:24.000000000 -0400
+++ ./multiplayer/common/beamdef.h	2002-11-26 23:25:25.000000000 -0500
@@ -15,7 +15,9 @@
 #if !defined ( BEAMDEFH )
 #define BEAMDEFH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #define FBEAM_STARTENTITY		0x00000001
diff -u ./multiplayer/common/cl_entity.h.orig ./multiplayer/common/cl_entity.h
--- ./multiplayer/common/cl_entity.h.orig	2002-10-03 11:57:24.000000000 -0400
+++ ./multiplayer/common/cl_entity.h	2002-11-26 23:25:25.000000000 -0500
@@ -16,7 +16,9 @@
 #if !defined( CL_ENTITYH )
 #define CL_ENTITYH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef struct efrag_s
diff -u ./multiplayer/common/com_model.h.orig ./multiplayer/common/com_model.h
--- ./multiplayer/common/com_model.h.orig	2002-10-03 11:57:24.000000000 -0400
+++ ./multiplayer/common/com_model.h	2002-11-26 23:25:25.000000000 -0500
@@ -9,7 +9,9 @@
 #if !defined( COM_MODEL_H )
 #define COM_MODEL_H
 #if defined( _WIN32 )
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #define STUDIO_RENDER 1
diff -u ./multiplayer/common/con_nprint.h.orig ./multiplayer/common/con_nprint.h
--- ./multiplayer/common/con_nprint.h.orig	2002-10-03 11:57:24.000000000 -0400
+++ ./multiplayer/common/con_nprint.h	2002-11-26 23:25:25.000000000 -0500
@@ -15,7 +15,9 @@
 #if !defined( CON_NPRINTH )
 #define CON_NPRINTH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef struct con_nprint_s
diff -u ./multiplayer/common/crc.h.orig ./multiplayer/common/crc.h
--- ./multiplayer/common/crc.h.orig	2002-10-03 11:57:24.000000000 -0400
+++ ./multiplayer/common/crc.h	2002-11-26 23:26:17.000000000 -0500
@@ -16,7 +16,9 @@
 #ifndef CRC_H
 #define CRC_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 // MD5 Hash
diff -u ./multiplayer/common/demo_api.h.orig ./multiplayer/common/demo_api.h
--- ./multiplayer/common/demo_api.h.orig	2002-10-03 11:57:24.000000000 -0400
+++ ./multiplayer/common/demo_api.h	2002-11-26 23:25:25.000000000 -0500
@@ -15,7 +15,9 @@
 #if !defined ( DEMO_APIH )
 #define DEMO_APIH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef struct demo_api_s
diff -u ./multiplayer/common/dlight.h.orig ./multiplayer/common/dlight.h
--- ./multiplayer/common/dlight.h.orig	2002-10-03 11:57:24.000000000 -0400
+++ ./multiplayer/common/dlight.h	2002-11-26 23:25:25.000000000 -0500
@@ -15,7 +15,9 @@
 #if !defined ( DLIGHTH )
 #define DLIGHTH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef struct dlight_s
diff -u ./multiplayer/common/engine_launcher_api.h.orig ./multiplayer/common/engine_launcher_api.h
--- ./multiplayer/common/engine_launcher_api.h.orig	2002-10-03 11:57:24.000000000 -0400
+++ ./multiplayer/common/engine_launcher_api.h	2002-11-26 23:25:25.000000000 -0500
@@ -9,7 +9,9 @@
 #if !defined( ENGINE_LAUNCHER_APIH )
 #define ENGINE_LAUNCHER_APIH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 //typedef void ( *xcommand_t ) ( void );
diff -u ./multiplayer/common/entity_state.h.orig ./multiplayer/common/entity_state.h
--- ./multiplayer/common/entity_state.h.orig	2002-10-03 11:57:24.000000000 -0400
+++ ./multiplayer/common/entity_state.h	2002-11-26 23:25:25.000000000 -0500
@@ -15,7 +15,9 @@
 #if !defined( ENTITY_STATEH )
 #define ENTITY_STATEH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 // For entityType below
diff -u ./multiplayer/common/event_api.h.orig ./multiplayer/common/event_api.h
--- ./multiplayer/common/event_api.h.orig	2002-10-03 11:57:24.000000000 -0400
+++ ./multiplayer/common/event_api.h	2002-11-26 23:25:25.000000000 -0500
@@ -15,7 +15,9 @@
 #if !defined ( EVENT_APIH )
 #define EVENT_APIH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #define EVENT_API_VERSION 1
diff -u ./multiplayer/common/event_args.h.orig ./multiplayer/common/event_args.h
--- ./multiplayer/common/event_args.h.orig	2002-10-03 11:57:24.000000000 -0400
+++ ./multiplayer/common/event_args.h	2002-11-26 23:25:25.000000000 -0500
@@ -15,7 +15,9 @@
 #if !defined( EVENT_ARGSH )
 #define EVENT_ARGSH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 // Event was invoked with stated origin
diff -u ./multiplayer/common/event_flags.h.orig ./multiplayer/common/event_flags.h
--- ./multiplayer/common/event_flags.h.orig	2002-10-03 11:57:24.000000000 -0400
+++ ./multiplayer/common/event_flags.h	2002-11-26 23:25:25.000000000 -0500
@@ -15,7 +15,9 @@
 #if !defined( EVENT_FLAGSH )
 #define EVENT_FLAGSH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 // Skip local host for event send.
diff -u ./multiplayer/common/in_buttons.h.orig ./multiplayer/common/in_buttons.h
--- ./multiplayer/common/in_buttons.h.orig	2002-10-03 11:57:24.000000000 -0400
+++ ./multiplayer/common/in_buttons.h	2002-11-26 23:25:25.000000000 -0500
@@ -15,7 +15,9 @@
 #ifndef IN_BUTTONS_H
 #define IN_BUTTONS_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #define IN_ATTACK	(1 << 0)
diff -u ./multiplayer/common/ivoicetweak.h.orig ./multiplayer/common/ivoicetweak.h
--- ./multiplayer/common/ivoicetweak.h.orig	2002-10-03 11:57:24.000000000 -0400
+++ ./multiplayer/common/ivoicetweak.h	2002-11-26 23:25:25.000000000 -0500
@@ -8,7 +8,9 @@
 #ifndef IVOICETWEAK_H
 #define IVOICETWEAK_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 // These provide access to the voice controls.
diff -u ./multiplayer/common/net_api.h.orig ./multiplayer/common/net_api.h
--- ./multiplayer/common/net_api.h.orig	2002-10-03 11:57:26.000000000 -0400
+++ ./multiplayer/common/net_api.h	2002-11-26 23:25:25.000000000 -0500
@@ -8,7 +8,9 @@
 #if !defined( NET_APIH )
 #define NET_APIH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #if !defined ( NETADRH )
@@ -96,4 +98,4 @@
 
 extern net_api_t netapi;
 
-#endif // NET_APIH
\ No newline at end of file
+#endif // NET_APIH
diff -u ./multiplayer/common/netadr.h.orig ./multiplayer/common/netadr.h
--- ./multiplayer/common/netadr.h.orig	2002-10-03 11:57:26.000000000 -0400
+++ ./multiplayer/common/netadr.h	2002-11-26 23:25:25.000000000 -0500
@@ -16,7 +16,9 @@
 #ifndef NETADR_H
 #define NETADR_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef enum
diff -u ./multiplayer/common/nowin.h.orig ./multiplayer/common/nowin.h
--- ./multiplayer/common/nowin.h.orig	2002-10-03 11:57:26.000000000 -0400
+++ ./multiplayer/common/nowin.h	2002-11-26 23:25:25.000000000 -0500
@@ -12,4 +12,4 @@
 #include <unistd.h>
 
 #endif //!_WIN32
-#endif //INC_NOWIN_H
\ No newline at end of file
+#endif //INC_NOWIN_H
diff -u ./multiplayer/common/particledef.h.orig ./multiplayer/common/particledef.h
--- ./multiplayer/common/particledef.h.orig	2002-10-03 11:57:26.000000000 -0400
+++ ./multiplayer/common/particledef.h	2002-11-26 23:25:25.000000000 -0500
@@ -15,7 +15,9 @@
 #if !defined( PARTICLEDEFH )
 #define PARTICLEDEFH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef enum {
diff -u ./multiplayer/common/pmtrace.h.orig ./multiplayer/common/pmtrace.h
--- ./multiplayer/common/pmtrace.h.orig	2002-10-03 11:57:26.000000000 -0400
+++ ./multiplayer/common/pmtrace.h	2002-11-26 23:25:25.000000000 -0500
@@ -15,7 +15,9 @@
 #if !defined( PMTRACEH )
 #define PMTRACEH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef struct
diff -u ./multiplayer/common/qfont.h.orig ./multiplayer/common/qfont.h
--- ./multiplayer/common/qfont.h.orig	2002-10-03 11:57:26.000000000 -0400
+++ ./multiplayer/common/qfont.h	2002-11-26 23:25:25.000000000 -0500
@@ -15,7 +15,9 @@
 #if !defined( QFONTH )
 #define QFONTH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 // Font stuff
diff -u ./multiplayer/common/r_efx.h.orig ./multiplayer/common/r_efx.h
--- ./multiplayer/common/r_efx.h.orig	2002-10-03 11:57:26.000000000 -0400
+++ ./multiplayer/common/r_efx.h	2002-11-26 23:25:25.000000000 -0500
@@ -15,7 +15,9 @@
 #if !defined ( R_EFXH )
 #define R_EFXH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 // particle_t
diff -u ./multiplayer/common/screenfade.h.orig ./multiplayer/common/screenfade.h
--- ./multiplayer/common/screenfade.h.orig	2002-10-03 11:57:26.000000000 -0400
+++ ./multiplayer/common/screenfade.h	2002-11-26 23:25:25.000000000 -0500
@@ -8,7 +8,9 @@
 #if !defined( SCREENFADEH )
 #define SCREENFADEH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef struct screenfade_s
diff -u ./multiplayer/common/studio_event.h.orig ./multiplayer/common/studio_event.h
--- ./multiplayer/common/studio_event.h.orig	2002-10-03 11:57:26.000000000 -0400
+++ ./multiplayer/common/studio_event.h	2002-11-26 23:25:25.000000000 -0500
@@ -15,7 +15,9 @@
 #if !defined( STUDIO_EVENTH )
 #define STUDIO_EVENTH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef struct mstudioevent_s
diff -u ./multiplayer/common/triangleapi.h.orig ./multiplayer/common/triangleapi.h
--- ./multiplayer/common/triangleapi.h.orig	2002-10-03 11:57:26.000000000 -0400
+++ ./multiplayer/common/triangleapi.h	2002-11-26 23:28:41.000000000 -0500
@@ -15,7 +15,9 @@
 #if !defined( TRIANGLEAPIH )
 #define TRIANGLEAPIH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef enum 
diff -u ./multiplayer/common/usercmd.h.orig ./multiplayer/common/usercmd.h
--- ./multiplayer/common/usercmd.h.orig	2002-10-03 11:57:26.000000000 -0400
+++ ./multiplayer/common/usercmd.h	2002-11-26 23:25:25.000000000 -0500
@@ -15,7 +15,9 @@
 #ifndef USERCMD_H
 #define USERCMD_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef struct usercmd_s
diff -u ./multiplayer/common/weaponinfo.h.orig ./multiplayer/common/weaponinfo.h
--- ./multiplayer/common/weaponinfo.h.orig	2002-10-03 11:57:26.000000000 -0400
+++ ./multiplayer/common/weaponinfo.h	2002-11-26 23:25:25.000000000 -0500
@@ -15,7 +15,9 @@
 #if !defined ( WEAPONINFOH )
 #define WEAPONINFOH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 // Info about weapons player might have in his/her possession
diff -u ./multiplayer/dedicated/conproc.h.orig ./multiplayer/dedicated/conproc.h
--- ./multiplayer/dedicated/conproc.h.orig	2002-10-03 11:57:26.000000000 -0400
+++ ./multiplayer/dedicated/conproc.h	2002-11-26 23:25:25.000000000 -0500
@@ -27,4 +27,4 @@
 
 void WriteStatusText( char *psz );
 
-#endif // !INC_CONPROCH
\ No newline at end of file
+#endif // !INC_CONPROCH
diff -u ./multiplayer/dedicated/dedicated.h.orig ./multiplayer/dedicated/dedicated.h
--- ./multiplayer/dedicated/dedicated.h.orig	2002-10-03 11:57:26.000000000 -0400
+++ ./multiplayer/dedicated/dedicated.h	2002-11-26 23:25:25.000000000 -0500
@@ -20,4 +20,4 @@
 extern int gDLLState;
 extern int gDLLStateInfo;
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/dedicated/exports.h.orig ./multiplayer/dedicated/exports.h
--- ./multiplayer/dedicated/exports.h.orig	2002-10-03 11:57:26.000000000 -0400
+++ ./multiplayer/dedicated/exports.h	2002-11-26 23:25:25.000000000 -0500
@@ -11,4 +11,4 @@
 
 extern void ErrorMessage(int nLevel, const char *pszErrorMessage);
 
-#endif // !INC_EXPORTSH
\ No newline at end of file
+#endif // !INC_EXPORTSH
diff -u ./multiplayer/dedicated/sys_ded.h.orig ./multiplayer/dedicated/sys_ded.h
--- ./multiplayer/dedicated/sys_ded.h.orig	2002-10-03 11:57:26.000000000 -0400
+++ ./multiplayer/dedicated/sys_ded.h	2002-11-26 23:26:17.000000000 -0500
@@ -8,7 +8,9 @@
 #if !defined( SYS_DEDH )
 #define SYS_DEDH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef void (*SleepType)(int);
@@ -18,4 +20,4 @@
 void Sys_Printf(char *fmt, ...);
 void Sys_ErrorMessage( int level, const char *msg );
 
-#endif // SYS_DEDH
\ No newline at end of file
+#endif // SYS_DEDH
diff -u ./multiplayer/dlls/animation.cpp.orig ./multiplayer/dlls/animation.cpp
--- ./multiplayer/dlls/animation.cpp.orig	2002-10-03 11:57:26.000000000 -0400
+++ ./multiplayer/dlls/animation.cpp	2002-11-26 23:26:17.000000000 -0500
@@ -524,4 +524,4 @@
 	int iCurrent = (pev->body / pbodypart->base) % pbodypart->nummodels;
 
 	return iCurrent;
-}
\ No newline at end of file
+}
diff -u ./multiplayer/dlls/cbase.h.orig ./multiplayer/dlls/cbase.h
--- ./multiplayer/dlls/cbase.h.orig	2002-10-03 11:57:28.000000000 -0400
+++ ./multiplayer/dlls/cbase.h	2002-11-26 23:26:43.000000000 -0500
@@ -186,7 +186,7 @@
 	virtual void	SetToggleState( int state ) {}
 	virtual void    StartSneaking( void ) {}
 	virtual void    StopSneaking( void ) {}
-	virtual BOOL	OnControls( entvars_t *pev ) { return FALSE; }
+	virtual BOOL	OnControls( entvars_t *onpev ) { return FALSE; }
 	virtual BOOL    IsSneaking( void ) { return FALSE; }
 	virtual BOOL	IsAlive( void ) { return (pev->deadflag == DEAD_NO) && pev->health > 0; }
 	virtual BOOL	IsBSPModel( void ) { return pev->solid == SOLID_BSP || pev->movetype == MOVETYPE_PUSHSTEP; }
@@ -217,13 +217,13 @@
 	virtual void Blocked( CBaseEntity *pOther ) { if (m_pfnBlocked) (this->*m_pfnBlocked)( pOther ); };
 
 	// allow engine to allocate instance data
-    void *operator new( size_t stAllocateBlock, entvars_t *pev )
+    void *operator new( size_t stAllocateBlock, entvars_t *newpev )
 	{
-		return (void *)ALLOC_PRIVATE(ENT(pev), stAllocateBlock);
+		return (void *)ALLOC_PRIVATE(ENT(newpev), stAllocateBlock);
 	};
 
 	// don't use this.
-#if _MSC_VER >= 1200 // only build this code if MSVC++ 6.0 or higher
+#if defined(_MSC_VER) && _MSC_VER >= 1200 // only build this code if MSVC++ 6.0 or higher
 	void operator delete(void *pMem, entvars_t *pev)
 	{
 		pev->flags |= FL_KILLME;
@@ -259,8 +259,8 @@
 		return pEnt; 
 	}
 
-	static CBaseEntity *Instance( entvars_t *pev ) { return Instance( ENT( pev ) ); }
-	static CBaseEntity *Instance( int eoffset) { return Instance( ENT( eoffset) ); }
+	static CBaseEntity *Instance( entvars_t *instpev ) { return Instance( ENT( instpev ) ); }
+	static CBaseEntity *Instance( int inst_eoffset) { return Instance( ENT( inst_eoffset) ); }
 
 	CBaseMonster *GetMonsterPointer( entvars_t *pevMonster ) 
 	{ 
diff -u ./multiplayer/dlls/cdll_dll.h.orig ./multiplayer/dlls/cdll_dll.h
--- ./multiplayer/dlls/cdll_dll.h.orig	2002-10-03 11:57:28.000000000 -0400
+++ ./multiplayer/dlls/cdll_dll.h	2002-11-26 23:26:43.000000000 -0500
@@ -43,4 +43,4 @@
 
 #define WEAPON_SUIT			31
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/dlls/crossbow.cpp.orig ./multiplayer/dlls/crossbow.cpp
--- ./multiplayer/dlls/crossbow.cpp.orig	2002-10-03 11:57:28.000000000 -0400
+++ ./multiplayer/dlls/crossbow.cpp	2002-11-26 23:26:43.000000000 -0500
@@ -545,4 +545,4 @@
 
 
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/dlls/doors.cpp.orig ./multiplayer/dlls/doors.cpp
--- ./multiplayer/dlls/doors.cpp.orig	2002-10-03 11:57:28.000000000 -0400
+++ ./multiplayer/dlls/doors.cpp	2002-11-26 23:26:43.000000000 -0500
@@ -1023,4 +1023,4 @@
 		LinearMove( move, speed );
 	}
 
-}
\ No newline at end of file
+}
diff -u ./multiplayer/dlls/effects.cpp.orig ./multiplayer/dlls/effects.cpp
--- ./multiplayer/dlls/effects.cpp.orig	2002-10-03 11:57:28.000000000 -0400
+++ ./multiplayer/dlls/effects.cpp	2002-11-26 23:26:43.000000000 -0500
@@ -2265,4 +2265,4 @@
 	SetTouch ( NULL );
 	SetThink ( SUB_Remove );
 	pev->nextthink = gpGlobals->time;
-}
\ No newline at end of file
+}
diff -u ./multiplayer/dlls/egon.cpp.orig ./multiplayer/dlls/egon.cpp
--- ./multiplayer/dlls/egon.cpp.orig	2002-10-03 11:57:28.000000000 -0400
+++ ./multiplayer/dlls/egon.cpp	2002-11-26 23:26:43.000000000 -0500
@@ -565,4 +565,4 @@
 };
 LINK_ENTITY_TO_CLASS( ammo_egonclip, CEgonAmmo );
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/dlls/enginecallback.h.orig ./multiplayer/dlls/enginecallback.h
--- ./multiplayer/dlls/enginecallback.h.orig	2002-10-03 11:57:28.000000000 -0400
+++ ./multiplayer/dlls/enginecallback.h	2002-11-26 23:26:43.000000000 -0500
@@ -14,7 +14,11 @@
 ****/
 #ifndef ENGINECALLBACK_H
 #define ENGINECALLBACK_H
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 #include "event_flags.h"
 
@@ -155,4 +159,4 @@
 
 #define PLAYER_CNX_STATS		( *g_engfuncs.pfnGetPlayerStats )
 
-#endif		//ENGINECALLBACK_H
\ No newline at end of file
+#endif		//ENGINECALLBACK_H
diff -u ./multiplayer/dlls/h_battery.cpp.orig ./multiplayer/dlls/h_battery.cpp
--- ./multiplayer/dlls/h_battery.cpp.orig	2002-10-03 11:57:28.000000000 -0400
+++ ./multiplayer/dlls/h_battery.cpp	2002-11-26 23:26:51.000000000 -0500
@@ -197,4 +197,4 @@
 	}
 	else
 		SetThink( SUB_DoNothing );
-}
\ No newline at end of file
+}
diff -u ./multiplayer/dlls/healthkit.cpp.orig ./multiplayer/dlls/healthkit.cpp
--- ./multiplayer/dlls/healthkit.cpp.orig	2002-10-03 11:57:30.000000000 -0400
+++ ./multiplayer/dlls/healthkit.cpp	2002-11-26 23:26:56.000000000 -0500
@@ -261,4 +261,4 @@
 	}
 	else
 		SetThink( SUB_DoNothing );
-}
\ No newline at end of file
+}
diff -u ./multiplayer/dlls/hornetgun.cpp.orig ./multiplayer/dlls/hornetgun.cpp
--- ./multiplayer/dlls/hornetgun.cpp.orig	2002-10-03 13:17:24.000000000 -0400
+++ ./multiplayer/dlls/hornetgun.cpp	2002-11-26 23:26:56.000000000 -0500
@@ -302,4 +302,4 @@
 	SendWeaponAnim( iAnim );
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/dlls/mortar.cpp.orig ./multiplayer/dlls/mortar.cpp
--- ./multiplayer/dlls/mortar.cpp.orig	2002-10-03 11:57:30.000000000 -0400
+++ ./multiplayer/dlls/mortar.cpp	2002-11-26 23:27:03.000000000 -0500
@@ -320,4 +320,4 @@
 
 	UTIL_SetOrigin( pMortar->pev, tr.vecEndPos );
 }
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/dlls/python.cpp.orig ./multiplayer/dlls/python.cpp
--- ./multiplayer/dlls/python.cpp.orig	2002-10-03 11:57:30.000000000 -0400
+++ ./multiplayer/dlls/python.cpp	2002-11-26 23:27:09.000000000 -0500
@@ -317,4 +317,4 @@
 LINK_ENTITY_TO_CLASS( ammo_357, CPythonAmmo );
 
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/dlls/rpg.cpp.orig ./multiplayer/dlls/rpg.cpp
--- ./multiplayer/dlls/rpg.cpp.orig	2002-10-03 11:57:30.000000000 -0400
+++ ./multiplayer/dlls/rpg.cpp	2002-11-26 23:27:09.000000000 -0500
@@ -614,4 +614,4 @@
 };
 LINK_ENTITY_TO_CLASS( ammo_rpgclip, CRpgAmmo );
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/dlls/satchel.cpp.orig ./multiplayer/dlls/satchel.cpp
--- ./multiplayer/dlls/satchel.cpp.orig	2002-10-03 11:57:30.000000000 -0400
+++ ./multiplayer/dlls/satchel.cpp	2002-11-26 23:27:09.000000000 -0500
@@ -491,4 +491,4 @@
 	}
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/dlls/saverestore.h.orig ./multiplayer/dlls/saverestore.h
--- ./multiplayer/dlls/saverestore.h.orig	2002-10-03 11:57:32.000000000 -0400
+++ ./multiplayer/dlls/saverestore.h	2002-11-26 23:27:09.000000000 -0500
@@ -23,7 +23,7 @@
 public:
 	CSaveRestoreBuffer( void );
 	CSaveRestoreBuffer( SAVERESTOREDATA *pdata );
-	~CSaveRestoreBuffer( void );
+	virtual ~CSaveRestoreBuffer( void );
 
 	int			EntityIndex( entvars_t *pevLookup );
 	int			EntityIndex( edict_t *pentLookup );
@@ -41,6 +41,10 @@
 	SAVERESTOREDATA		*m_pdata;
 	void		BufferRewind( int size );
 	unsigned int	HashString( const char *pszToken );
+private:
+	// effc++ rule 11
+	void		operator=(CSaveRestoreBuffer&);
+	CSaveRestoreBuffer(const CSaveRestoreBuffer&);
 };
 
 
@@ -82,7 +86,7 @@
 class CRestore : public CSaveRestoreBuffer
 {
 public:
-	CRestore( SAVERESTOREDATA *pdata ) : CSaveRestoreBuffer( pdata ) { m_global = 0; m_precache = TRUE; }
+	CRestore( SAVERESTOREDATA *pdata ) : CSaveRestoreBuffer( pdata ), m_global(0), m_precache(TRUE) { }
 	int		ReadEntVars( const char *pname, entvars_t *pev );		// entvars_t
 	int		ReadFields( const char *pname, void *pBaseData, TYPEDESCRIPTION *pFields, int fieldCount );
 	int		ReadField( void *pBaseData, TYPEDESCRIPTION *pFields, int fieldCount, int startField, int size, char *pName, void *pData );
@@ -162,6 +166,9 @@
 	globalentity_t	*Find( string_t globalname );
 	globalentity_t	*m_pList;
 	int				m_listCount;
+	// effc++ rule 11
+	void		operator=(CGlobalState&);
+	CGlobalState(const CGlobalState&);
 };
 
 extern CGlobalState gGlobalState;
diff -u ./multiplayer/dlls/sound.cpp.orig ./multiplayer/dlls/sound.cpp
--- ./multiplayer/dlls/sound.cpp.orig	2002-10-03 11:57:32.000000000 -0400
+++ ./multiplayer/dlls/sound.cpp	2002-11-26 23:27:09.000000000 -0500
@@ -1975,4 +1975,4 @@
 	}
 	else
 		CBaseEntity::KeyValue( pkvd );
-}
\ No newline at end of file
+}
diff -u ./multiplayer/dlls/soundent.cpp.orig ./multiplayer/dlls/soundent.cpp
--- ./multiplayer/dlls/soundent.cpp.orig	2002-10-03 11:57:32.000000000 -0400
+++ ./multiplayer/dlls/soundent.cpp	2002-11-26 23:27:09.000000000 -0500
@@ -376,4 +376,4 @@
 #endif // _DEBUG
 
 	return iReturn;
-}
\ No newline at end of file
+}
diff -u ./multiplayer/dlls/spectator.h.orig ./multiplayer/dlls/spectator.h
--- ./multiplayer/dlls/spectator.h.orig	2002-10-03 11:57:32.000000000 -0400
+++ ./multiplayer/dlls/spectator.h	2002-11-26 23:27:09.000000000 -0500
@@ -24,4 +24,4 @@
 
 private:
 	void SpectatorImpulseCommand(void);
-};
\ No newline at end of file
+};
diff -u ./multiplayer/dlls/squeakgrenade.cpp.orig ./multiplayer/dlls/squeakgrenade.cpp
--- ./multiplayer/dlls/squeakgrenade.cpp.orig	2002-10-03 11:57:32.000000000 -0400
+++ ./multiplayer/dlls/squeakgrenade.cpp	2002-11-26 23:27:16.000000000 -0500
@@ -598,4 +598,4 @@
 	SendWeaponAnim( iAnim );
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/dlls/util.h.orig ./multiplayer/dlls/util.h
--- ./multiplayer/dlls/util.h.orig	2002-10-03 11:57:32.000000000 -0400
+++ ./multiplayer/dlls/util.h	2002-11-27 00:04:03.000000000 -0500
@@ -15,6 +15,7 @@
 //
 // Misc utility code
 //
+#include <string.h>
 #ifndef ACTIVITY_H
 #include "activity.h"
 #endif
@@ -107,7 +108,7 @@
 inline EOFFSET OFFSET(EOFFSET eoffset)			{ return eoffset; }
 inline EOFFSET OFFSET(const edict_t *pent)	
 { 
-#if _DEBUG
+#ifdef _DEBUG
 	if ( !pent )
 		ALERT( at_error, "Bad ent in OFFSET()\n" );
 #endif
@@ -115,7 +116,7 @@
 }
 inline EOFFSET OFFSET(entvars_t *pev)				
 { 
-#if _DEBUG
+#ifdef _DEBUG
 	if ( !pev )
 		ALERT( at_error, "Bad pev in OFFSET()\n" );
 #endif
diff -u ./multiplayer/dlls/vector.h.orig ./multiplayer/dlls/vector.h
--- ./multiplayer/dlls/vector.h.orig	2002-10-03 11:57:32.000000000 -0400
+++ ./multiplayer/dlls/vector.h	2002-11-26 23:27:25.000000000 -0500
@@ -22,8 +22,8 @@
 class Vector2D
 {
 public:
-	inline Vector2D(void)									{ }
-	inline Vector2D(float X, float Y)						{ x = X; y = Y; }
+	inline Vector2D(void): x(0.0), y(0.0)							{ }
+	inline Vector2D(float X, float Y): x(0.0), y(0.0)				{ x = X; y = Y; }
 	inline Vector2D operator+(const Vector2D& v)	const	{ return Vector2D(x+v.x, y+v.y);	}
 	inline Vector2D operator-(const Vector2D& v)	const	{ return Vector2D(x-v.x, y-v.y);	}
 	inline Vector2D operator*(float fl)				const	{ return Vector2D(x*fl, y*fl);	}
@@ -33,7 +33,7 @@
 
 	inline Vector2D Normalize ( void ) const
 	{
-		Vector2D vec2;
+		// Vector2D vec2;
 
 		float flLen = Length();
 		if ( flLen == 0 )
@@ -60,12 +60,12 @@
 {								//		which is a vec_t[3]
 public:
 	// Construction/destruction
-	inline Vector(void)								{ }
-	inline Vector(float X, float Y, float Z)		{ x = X; y = Y; z = Z;						}
+	inline Vector(void): x(0.0), y(0.0), z(0.0)					{ }
+	inline Vector(float X, float Y, float Z): x(0.0), y(0.0), z(0.0)	{ x = X; y = Y; z = Z;				}
 	//inline Vector(double X, double Y, double Z)		{ x = (float)X; y = (float)Y; z = (float)Z;	}
 	//inline Vector(int X, int Y, int Z)				{ x = (float)X; y = (float)Y; z = (float)Z;	}
-	inline Vector(const Vector& v)					{ x = v.x; y = v.y; z = v.z;				} 
-	inline Vector(float rgfl[3])					{ x = rgfl[0]; y = rgfl[1]; z = rgfl[2];	}
+	inline Vector(const Vector& v): x(0.0), y(0.0), z(0.0)		{ x = v.x; y = v.y; z = v.z;				} 
+	inline Vector(float rgfl[3]): x(0.0), y(0.0), z(0.0)		{ x = rgfl[0]; y = rgfl[1]; z = rgfl[2];	}
 
 	// Operators
 	inline Vector operator-(void) const				{ return Vector(-x,-y,-z);				}
@@ -109,4 +109,4 @@
 
 
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/dlls/weapons.h.orig ./multiplayer/dlls/weapons.h
--- ./multiplayer/dlls/weapons.h.orig	2002-10-03 11:57:34.000000000 -0400
+++ ./multiplayer/dlls/weapons.h	2002-11-26 23:27:25.000000000 -0500
@@ -445,7 +445,7 @@
 	int		Restore( CRestore &restore );
 	static	TYPEDESCRIPTION m_SaveData[];
 
-	HasWeapon( CBasePlayerItem *pCheckItem );
+	BOOL HasWeapon( CBasePlayerItem *pCheckItem );
 	BOOL PackWeapon( CBasePlayerItem *pWeapon );
 	BOOL PackAmmo( int iszName, int iCount );
 	
diff -u ./multiplayer/dmc/cl_dll/quake/quake_baseentity.cpp.orig ./multiplayer/dmc/cl_dll/quake/quake_baseentity.cpp
--- ./multiplayer/dmc/cl_dll/quake/quake_baseentity.cpp.orig	2002-10-03 11:57:38.000000000 -0400
+++ ./multiplayer/dmc/cl_dll/quake/quake_baseentity.cpp	2002-11-26 23:27:30.000000000 -0500
@@ -327,4 +327,4 @@
 void CBasePlayerAmmo :: DefaultTouch( CBaseEntity *pOther ) { }
 int CBasePlayerWeapon::ExtractAmmo( CBasePlayerWeapon *pWeapon ) { return 0; }
 int CBasePlayerWeapon::ExtractClipAmmo( CBasePlayerWeapon *pWeapon ) { return 0; }	
-void CBasePlayerWeapon::RetireWeapon( void ) { }
\ No newline at end of file
+void CBasePlayerWeapon::RetireWeapon( void ) { }
diff -u ./multiplayer/dmc/cl_dll/quake/quake_objects.cpp.orig ./multiplayer/dmc/cl_dll/quake/quake_objects.cpp
--- ./multiplayer/dmc/cl_dll/quake/quake_objects.cpp.orig	2002-10-03 11:57:38.000000000 -0400
+++ ./multiplayer/dmc/cl_dll/quake/quake_objects.cpp	2002-11-26 23:27:30.000000000 -0500
@@ -78,4 +78,4 @@
 {
 	if ( pBeam )
 		UpdateBeams();
-}
\ No newline at end of file
+}
diff -u ./multiplayer/dmc/dlls/animation.cpp.orig ./multiplayer/dmc/dlls/animation.cpp
--- ./multiplayer/dmc/dlls/animation.cpp.orig	2002-10-03 11:57:38.000000000 -0400
+++ ./multiplayer/dmc/dlls/animation.cpp	2002-11-26 23:27:41.000000000 -0500
@@ -523,4 +523,4 @@
 	int iCurrent = (pev->body / pbodypart->base) % pbodypart->nummodels;
 
 	return iCurrent;
-}
\ No newline at end of file
+}
diff -u ./multiplayer/dmc/dlls/cbase.h.orig ./multiplayer/dmc/dlls/cbase.h
--- ./multiplayer/dmc/dlls/cbase.h.orig	2002-10-03 11:57:40.000000000 -0400
+++ ./multiplayer/dmc/dlls/cbase.h	2002-11-26 23:27:41.000000000 -0500
@@ -186,7 +186,7 @@
 	virtual void	SetToggleState( int state ) {}
 	virtual void    StartSneaking( void ) {}
 	virtual void    StopSneaking( void ) {}
-	virtual BOOL	OnControls( entvars_t *pev ) { return FALSE; }
+	virtual BOOL	OnControls( entvars_t *onpev ) { return FALSE; }
 	virtual BOOL    IsSneaking( void ) { return FALSE; }
 	virtual BOOL	IsAlive( void ) { return (pev->deadflag == DEAD_NO) && pev->health > 0; }
 	virtual BOOL	IsBSPModel( void ) { return pev->solid == SOLID_BSP || pev->movetype == MOVETYPE_PUSHSTEP; }
@@ -217,13 +217,13 @@
 	virtual void Blocked( CBaseEntity *pOther ) { if (m_pfnBlocked) (this->*m_pfnBlocked)( pOther ); };
 
 	// allow engine to allocate instance data
-    void *operator new( size_t stAllocateBlock, entvars_t *pev )
+    void *operator new( size_t stAllocateBlock, entvars_t *newpev )
 	{
-		return (void *)ALLOC_PRIVATE(ENT(pev), stAllocateBlock);
+		return (void *)ALLOC_PRIVATE(ENT(newpev), stAllocateBlock);
 	};
 
 	// don't use this.
-#if _MSC_VER >= 1200 // only build this code if MSVC++ 6.0 or higher
+#if defined(_MSC_VER) && _MSC_VER >= 1200 // only build this code if MSVC++ 6.0 or higher
 	void operator delete(void *pMem, entvars_t *pev)
 	{
 		pev->flags |= FL_KILLME;
@@ -258,8 +258,8 @@
 		return pEnt; 
 	}
 
-	static CBaseEntity *Instance( entvars_t *pev ) { return Instance( ENT( pev ) ); }
-	static CBaseEntity *Instance( int eoffset) { return Instance( ENT( eoffset) ); }
+	static CBaseEntity *Instance( entvars_t *instpev ) { return Instance( ENT( instpev ) ); }
+	static CBaseEntity *Instance( int inst_eoffset) { return Instance( ENT( inst_eoffset) ); }
 
 	CBaseMonster *GetMonsterPointer( entvars_t *pevMonster ) 
 	{ 
@@ -798,4 +798,4 @@
 };
 
 // QUAKECLASSIC
-extern char *g_szDeathType;
\ No newline at end of file
+extern char *g_szDeathType;
diff -u ./multiplayer/dmc/dlls/cdll_dll.h.orig ./multiplayer/dmc/dlls/cdll_dll.h
--- ./multiplayer/dmc/dlls/cdll_dll.h.orig	2002-10-03 11:57:40.000000000 -0400
+++ ./multiplayer/dmc/dlls/cdll_dll.h	2002-11-26 23:27:41.000000000 -0500
@@ -43,4 +43,4 @@
 
 #define WEAPON_SUIT			31
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/dmc/dlls/effects.cpp.orig ./multiplayer/dmc/dlls/effects.cpp
--- ./multiplayer/dmc/dlls/effects.cpp.orig	2002-10-03 11:57:40.000000000 -0400
+++ ./multiplayer/dmc/dlls/effects.cpp	2002-11-26 23:27:41.000000000 -0500
@@ -2265,4 +2265,4 @@
 	SetTouch ( NULL );
 	SetThink ( SUB_Remove );
 	pev->nextthink = gpGlobals->time;
-}
\ No newline at end of file
+}
diff -u ./multiplayer/dmc/dlls/enginecallback.h.orig ./multiplayer/dmc/dlls/enginecallback.h
--- ./multiplayer/dmc/dlls/enginecallback.h.orig	2002-10-03 11:57:40.000000000 -0400
+++ ./multiplayer/dmc/dlls/enginecallback.h	2002-11-26 23:27:41.000000000 -0500
@@ -14,7 +14,11 @@
 ****/
 #ifndef ENGINECALLBACK_H
 #define ENGINECALLBACK_H
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 #include "event_flags.h"
 
@@ -156,4 +160,4 @@
 
 #define PLAYER_CNX_STATS		( *g_engfuncs.pfnGetPlayerStats )
 
-#endif		//ENGINECALLBACK_H
\ No newline at end of file
+#endif		//ENGINECALLBACK_H
diff -u ./multiplayer/dmc/dlls/observer.cpp.orig ./multiplayer/dmc/dlls/observer.cpp
--- ./multiplayer/dmc/dlls/observer.cpp.orig	2002-10-03 11:57:42.000000000 -0400
+++ ./multiplayer/dmc/dlls/observer.cpp	2002-11-26 23:32:00.000000000 -0500
@@ -139,4 +139,4 @@
 	char modemsg[16];
 	sprintf(modemsg,"#Spec_Mode%i", iMode);
 	ClientPrint( pev, HUD_PRINTCENTER, modemsg );
-}
\ No newline at end of file
+}
diff -u ./multiplayer/dmc/dlls/quake_rocket.cpp.orig ./multiplayer/dmc/dlls/quake_rocket.cpp
--- ./multiplayer/dmc/dlls/quake_rocket.cpp.orig	2002-10-03 11:57:42.000000000 -0400
+++ ./multiplayer/dmc/dlls/quake_rocket.cpp	2002-11-26 23:27:41.000000000 -0500
@@ -188,4 +188,4 @@
 	PLAYBACK_EVENT_FULL( FEV_GLOBAL, edict(), g_sExplosion, 0.0, (float *)&pev->origin, (float *)&pev->velocity, 0.0, 0.0, 0, 0, 0, 0 );
 
 	UTIL_Remove( this );
-}
\ No newline at end of file
+}
diff -u ./multiplayer/dmc/dlls/saverestore.h.orig ./multiplayer/dmc/dlls/saverestore.h
--- ./multiplayer/dmc/dlls/saverestore.h.orig	2002-10-03 11:57:42.000000000 -0400
+++ ./multiplayer/dmc/dlls/saverestore.h	2002-11-26 23:27:41.000000000 -0500
@@ -23,7 +23,7 @@
 public:
 	CSaveRestoreBuffer( void );
 	CSaveRestoreBuffer( SAVERESTOREDATA *pdata );
-	~CSaveRestoreBuffer( void );
+	virtual ~CSaveRestoreBuffer( void );
 
 	int			EntityIndex( entvars_t *pevLookup );
 	int			EntityIndex( edict_t *pentLookup );
@@ -41,6 +41,10 @@
 	SAVERESTOREDATA		*m_pdata;
 	void		BufferRewind( int size );
 	unsigned int	HashString( const char *pszToken );
+private:
+	// effc++ rule 11
+	void		operator=(CSaveRestoreBuffer&);
+	CSaveRestoreBuffer(const CSaveRestoreBuffer&);
 };
 
 
@@ -82,7 +86,7 @@
 class CRestore : public CSaveRestoreBuffer
 {
 public:
-	CRestore( SAVERESTOREDATA *pdata ) : CSaveRestoreBuffer( pdata ) { m_global = 0; m_precache = TRUE; }
+	CRestore( SAVERESTOREDATA *pdata ) : CSaveRestoreBuffer( pdata ), m_global(0), m_precache(TRUE) { }
 
 	int		ReadEntVars( const char *pname, entvars_t *pev );		// entvars_t
 	int		ReadFields( const char *pname, void *pBaseData, TYPEDESCRIPTION *pFields, int fieldCount );
@@ -163,6 +167,9 @@
 	globalentity_t	*Find( string_t globalname );
 	globalentity_t	*m_pList;
 	int				m_listCount;
+	// effc++ rule 11               
+	void		operator=(CGlobalState&);
+	CGlobalState(const CGlobalState&);
 };
 
 extern CGlobalState gGlobalState;
diff -u ./multiplayer/dmc/dlls/sound.cpp.orig ./multiplayer/dmc/dlls/sound.cpp
--- ./multiplayer/dmc/dlls/sound.cpp.orig	2002-10-03 11:57:44.000000000 -0400
+++ ./multiplayer/dmc/dlls/sound.cpp	2002-11-26 23:27:41.000000000 -0500
@@ -1964,4 +1964,4 @@
 	}
 	else
 		CBaseEntity::KeyValue( pkvd );
-}
\ No newline at end of file
+}
diff -u ./multiplayer/dmc/dlls/soundent.cpp.orig ./multiplayer/dmc/dlls/soundent.cpp
--- ./multiplayer/dmc/dlls/soundent.cpp.orig	2002-10-03 11:57:44.000000000 -0400
+++ ./multiplayer/dmc/dlls/soundent.cpp	2002-11-26 23:27:41.000000000 -0500
@@ -376,4 +376,4 @@
 #endif // _DEBUG
 
 	return iReturn;
-}
\ No newline at end of file
+}
diff -u ./multiplayer/dmc/dlls/spectator.h.orig ./multiplayer/dmc/dlls/spectator.h
--- ./multiplayer/dmc/dlls/spectator.h.orig	2002-10-03 11:57:44.000000000 -0400
+++ ./multiplayer/dmc/dlls/spectator.h	2002-11-26 23:27:41.000000000 -0500
@@ -24,4 +24,4 @@
 
 private:
 	void SpectatorImpulseCommand(void);
-};
\ No newline at end of file
+};
diff -u ./multiplayer/dmc/dlls/triggers.cpp.orig ./multiplayer/dmc/dlls/triggers.cpp
--- ./multiplayer/dmc/dlls/triggers.cpp.orig	2002-10-03 11:57:44.000000000 -0400
+++ ./multiplayer/dmc/dlls/triggers.cpp	2002-11-26 23:27:41.000000000 -0500
@@ -2713,4 +2713,4 @@
 	pev->rendermode = kRenderTransTexture;
 }
 
-LINK_ENTITY_TO_CLASS( env_fog, CClientFog );
\ No newline at end of file
+LINK_ENTITY_TO_CLASS( env_fog, CClientFog );
diff -u ./multiplayer/dmc/dlls/vector.h.orig ./multiplayer/dmc/dlls/vector.h
--- ./multiplayer/dmc/dlls/vector.h.orig	2002-10-03 11:57:44.000000000 -0400
+++ ./multiplayer/dmc/dlls/vector.h	2002-11-26 23:27:41.000000000 -0500
@@ -22,8 +22,8 @@
 class Vector2D
 {
 public:
-	inline Vector2D(void)									{ }
-	inline Vector2D(float X, float Y)						{ x = X; y = Y; }
+	inline Vector2D(void): x(0.0), y(0.0)(void)						{ }
+	inline Vector2D(float X, float Y): x(0.0), y(0.0)				{ x = X; y = Y; }
 	inline Vector2D operator+(const Vector2D& v)	const	{ return Vector2D(x+v.x, y+v.y);	}
 	inline Vector2D operator-(const Vector2D& v)	const	{ return Vector2D(x-v.x, y-v.y);	}
 	inline Vector2D operator*(float fl)				const	{ return Vector2D(x*fl, y*fl);	}
@@ -33,7 +33,7 @@
 
 	inline Vector2D Normalize ( void ) const
 	{
-		Vector2D vec2;
+		// Vector2D vec2;
 
 		float flLen = Length();
 		if ( flLen == 0 )
@@ -60,12 +60,12 @@
 {								//		which is a vec_t[3]
 public:
 	// Construction/destruction
-	inline Vector(void)								{ }
-	inline Vector(float X, float Y, float Z)		{ x = X; y = Y; z = Z;						}
+	inline Vector(void): x(0.0), y(0.0), z(0.0)					{ }
+	inline Vector(float X, float Y, float Z): x(0.0), y(0.0), z(0.0)		{ x = X; y = Y; z = Z;						}
 	//inline Vector(double X, double Y, double Z)		{ x = (float)X; y = (float)Y; z = (float)Z;	}
 	//inline Vector(int X, int Y, int Z)				{ x = (float)X; y = (float)Y; z = (float)Z;	}
-	inline Vector(const Vector& v)					{ x = v.x; y = v.y; z = v.z;				} 
-	inline Vector(float rgfl[3])					{ x = rgfl[0]; y = rgfl[1]; z = rgfl[2];	}
+	inline Vector(const Vector& v): x(0.0), y(0.0), z(0.0)		{ x = v.x; y = v.y; z = v.z;				} 
+	inline Vector(float rgfl[3]): x(0.0), y(0.0), z(0.0)		{ x = rgfl[0]; y = rgfl[1]; z = rgfl[2];	}
 
 	// Operators
 	inline Vector operator-(void) const				{ return Vector(-x,-y,-z);				}
@@ -109,4 +109,4 @@
 
 
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/dmc/dlls/weapons.h.orig ./multiplayer/dmc/dlls/weapons.h
--- ./multiplayer/dmc/dlls/weapons.h.orig	2002-10-03 11:57:44.000000000 -0400
+++ ./multiplayer/dmc/dlls/weapons.h	2002-11-26 23:27:41.000000000 -0500
@@ -441,7 +441,7 @@
 	int		Restore( CRestore &restore );
 	static	TYPEDESCRIPTION m_SaveData[];
 
-	HasWeapon( CBasePlayerItem *pCheckItem );
+	BOOL HasWeapon( CBasePlayerItem *pCheckItem );
 	BOOL PackWeapon( CBasePlayerItem *pWeapon );
 	BOOL PackAmmo( int iszName, int iCount );
 	
diff -u ./multiplayer/dmc/pm_shared/pm_debug.c.orig ./multiplayer/dmc/pm_shared/pm_debug.c
--- ./multiplayer/dmc/pm_shared/pm_debug.c.orig	2002-10-03 11:57:44.000000000 -0400
+++ ./multiplayer/dmc/pm_shared/pm_debug.c	2002-11-26 23:27:41.000000000 -0500
@@ -293,4 +293,4 @@
 	}
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/dmc/pm_shared/pm_debug.h.orig ./multiplayer/dmc/pm_shared/pm_debug.h
--- ./multiplayer/dmc/pm_shared/pm_debug.h.orig	2002-10-03 11:57:44.000000000 -0400
+++ ./multiplayer/dmc/pm_shared/pm_debug.h	2002-11-26 23:27:41.000000000 -0500
@@ -7,11 +7,15 @@
 
 #ifndef PM_DEBUG_H
 #define PM_DEBUG_H
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 void PM_ViewEntity( void );
 void PM_DrawBBox(vec3_t mins, vec3_t maxs, vec3_t origin, int pcolor, float life);
 void PM_ParticleLine(vec3_t start, vec3_t end, int pcolor, float life, float vert);
 void PM_ShowClipBox( void );
 
-#endif // PMOVEDBG_H
\ No newline at end of file
+#endif // PMOVEDBG_H
diff -u ./multiplayer/dmc/pm_shared/pm_defs.h.orig ./multiplayer/dmc/pm_shared/pm_defs.h
--- ./multiplayer/dmc/pm_shared/pm_defs.h.orig	2002-10-03 11:57:44.000000000 -0400
+++ ./multiplayer/dmc/pm_shared/pm_defs.h	2002-11-26 23:27:41.000000000 -0500
@@ -8,7 +8,11 @@
 // pm_defs.h
 #if !defined( PM_DEFSH )
 #define PM_DEFSH
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 #define	MAX_PHYSENTS 600 		  // Must have room for all entities in the world.
 #define MAX_MOVEENTS 64
diff -u ./multiplayer/dmc/pm_shared/pm_info.h.orig ./multiplayer/dmc/pm_shared/pm_info.h
--- ./multiplayer/dmc/pm_shared/pm_info.h.orig	2002-10-03 11:57:44.000000000 -0400
+++ ./multiplayer/dmc/pm_shared/pm_info.h	2002-11-26 23:27:41.000000000 -0500
@@ -8,8 +8,12 @@
 // Physics info string definition
 #if !defined( PM_INFOH )
 #define PM_INFOH
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 #define MAX_PHYSINFO_STRING 256
 
-#endif // PM_INFOH
\ No newline at end of file
+#endif // PM_INFOH
diff -u ./multiplayer/dmc/pm_shared/pm_materials.h.orig ./multiplayer/dmc/pm_shared/pm_materials.h
--- ./multiplayer/dmc/pm_shared/pm_materials.h.orig	2002-10-03 11:57:44.000000000 -0400
+++ ./multiplayer/dmc/pm_shared/pm_materials.h	2002-11-26 23:27:41.000000000 -0500
@@ -7,7 +7,11 @@
 
 #if !defined( PM_MATERIALSH )
 #define PM_MATERIALSH
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 #define CBTEXTURENAMEMAX	13			// only load first n chars of name
 
@@ -23,4 +27,4 @@
 #define CHAR_TEX_GLASS		'Y'
 #define CHAR_TEX_FLESH		'F'
 
-#endif // !PM_MATERIALSH
\ No newline at end of file
+#endif // !PM_MATERIALSH
diff -u ./multiplayer/dmc/pm_shared/pm_movevars.h.orig ./multiplayer/dmc/pm_shared/pm_movevars.h
--- ./multiplayer/dmc/pm_shared/pm_movevars.h.orig	2002-10-03 11:57:44.000000000 -0400
+++ ./multiplayer/dmc/pm_shared/pm_movevars.h	2002-11-26 23:27:41.000000000 -0500
@@ -44,4 +44,4 @@
 
 extern movevars_t movevars;
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/dmc/pm_shared/pm_shared.h.orig ./multiplayer/dmc/pm_shared/pm_shared.h
--- ./multiplayer/dmc/pm_shared/pm_shared.h.orig	2002-10-03 11:57:44.000000000 -0400
+++ ./multiplayer/dmc/pm_shared/pm_shared.h	2002-11-26 23:27:41.000000000 -0500
@@ -18,7 +18,11 @@
 //
 #if !defined( PM_SHAREDH )
 #define PM_SHAREDH
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 void PM_Init( struct playermove_s *ppmove );
 void PM_Move ( struct playermove_s *ppmove, int server );
diff -u ./multiplayer/engine/custom.h.orig ./multiplayer/engine/custom.h
--- ./multiplayer/engine/custom.h.orig	2002-10-03 11:57:46.000000000 -0400
+++ ./multiplayer/engine/custom.h	2002-11-26 23:27:41.000000000 -0500
@@ -17,7 +17,9 @@
 #ifndef CUSTOM_H
 #define CUSTOM_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #include "const.h"
diff -u ./multiplayer/engine/edict.h.orig ./multiplayer/engine/edict.h
--- ./multiplayer/engine/edict.h.orig	2002-10-03 11:57:46.000000000 -0400
+++ ./multiplayer/engine/edict.h	2002-11-26 23:27:42.000000000 -0500
@@ -8,7 +8,9 @@
 #if !defined EDICT_H
 #define EDICT_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 #define	MAX_ENT_LEAFS	48
 
diff -u ./multiplayer/engine/keydefs.h.orig ./multiplayer/engine/keydefs.h
--- ./multiplayer/engine/keydefs.h.orig	2002-10-03 11:57:46.000000000 -0400
+++ ./multiplayer/engine/keydefs.h	2002-11-26 23:28:07.000000000 -0500
@@ -9,7 +9,9 @@
 #ifndef KEYDEFS_H
 #define KEYDEFS_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 //
diff -u ./multiplayer/engine/progdefs.h.orig ./multiplayer/engine/progdefs.h
--- ./multiplayer/engine/progdefs.h.orig	2002-10-03 11:57:46.000000000 -0400
+++ ./multiplayer/engine/progdefs.h	2002-11-26 23:28:07.000000000 -0500
@@ -15,7 +15,9 @@
 #ifndef PROGDEFS_H
 #define PROGDEFS_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef struct
@@ -221,4 +223,4 @@
 } entvars_t;
 
 
-#endif // PROGDEFS_H
\ No newline at end of file
+#endif // PROGDEFS_H
diff -u ./multiplayer/engine/progs.h.orig ./multiplayer/engine/progs.h
--- ./multiplayer/engine/progs.h.orig	2002-10-03 11:57:46.000000000 -0400
+++ ./multiplayer/engine/progs.h	2002-11-26 23:28:07.000000000 -0500
@@ -79,4 +79,4 @@
 
 #define PROG_TO_EDICT(e) ((edict_t *)((byte *)sv.edicts + e))
 
-#endif // PROGS_H
\ No newline at end of file
+#endif // PROGS_H
diff -u ./multiplayer/engine/eiface.h.orig ./multiplayer/engine/eiface.h
--- ./multiplayer/engine/eiface.h.orig	2002-10-03 11:57:46.000000000 -0400
+++ ./multiplayer/engine/eiface.h	2002-11-26 23:32:34.000000000 -0500
@@ -489,4 +489,4 @@
 typedef int	(*APIFUNCTION)( DLL_FUNCTIONS *pFunctionTable, int interfaceVersion );
 typedef int	(*APIFUNCTION2)( DLL_FUNCTIONS *pFunctionTable, int *interfaceVersion );
 
-#endif EIFACE_H
+#endif /* EIFACE_H */
diff -u ./multiplayer/game_shared/bitvec.h.orig ./multiplayer/game_shared/bitvec.h
--- ./multiplayer/game_shared/bitvec.h.orig	2002-10-03 11:57:46.000000000 -0400
+++ ./multiplayer/game_shared/bitvec.h	2002-11-26 23:28:07.000000000 -0500
@@ -8,7 +8,9 @@
 #ifndef BITVEC_H
 #define BITVEC_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 
diff -u ./multiplayer/game_shared/vgui_checkbutton2.h.orig ./multiplayer/game_shared/vgui_checkbutton2.h
--- ./multiplayer/game_shared/vgui_checkbutton2.h.orig	2002-10-03 11:57:46.000000000 -0400
+++ ./multiplayer/game_shared/vgui_checkbutton2.h	2002-11-26 23:28:07.000000000 -0500
@@ -8,7 +8,9 @@
 #ifndef VGUI_CHECKBUTTON2_H
 #define VGUI_CHECKBUTTON2_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 
diff -u ./multiplayer/game_shared/vgui_defaultinputsignal.h.orig ./multiplayer/game_shared/vgui_defaultinputsignal.h
--- ./multiplayer/game_shared/vgui_defaultinputsignal.h.orig	2002-10-03 11:57:46.000000000 -0400
+++ ./multiplayer/game_shared/vgui_defaultinputsignal.h	2002-11-26 23:28:07.000000000 -0500
@@ -8,7 +8,9 @@
 #ifndef VGUI_DEFAULTINPUTSIGNAL_H
 #define VGUI_DEFAULTINPUTSIGNAL_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 
diff -u ./multiplayer/game_shared/vgui_grid.h.orig ./multiplayer/game_shared/vgui_grid.h
--- ./multiplayer/game_shared/vgui_grid.h.orig	2002-10-03 11:57:46.000000000 -0400
+++ ./multiplayer/game_shared/vgui_grid.h	2002-11-26 23:28:07.000000000 -0500
@@ -8,7 +8,9 @@
 #ifndef VGUI_GRID_H
 #define VGUI_GRID_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 
diff -u ./multiplayer/game_shared/vgui_helpers.h.orig ./multiplayer/game_shared/vgui_helpers.h
--- ./multiplayer/game_shared/vgui_helpers.h.orig	2002-10-03 11:57:46.000000000 -0400
+++ ./multiplayer/game_shared/vgui_helpers.h	2002-11-26 23:28:07.000000000 -0500
@@ -8,7 +8,9 @@
 #ifndef VGUI_HELPERS_H
 #define VGUI_HELPERS_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 
diff -u ./multiplayer/game_shared/vgui_listbox.h.orig ./multiplayer/game_shared/vgui_listbox.h
--- ./multiplayer/game_shared/vgui_listbox.h.orig	2002-10-03 11:57:46.000000000 -0400
+++ ./multiplayer/game_shared/vgui_listbox.h	2002-11-26 23:28:07.000000000 -0500
@@ -8,7 +8,9 @@
 #ifndef VOICE_LISTBOX_H
 #define VOICE_LISTBOX_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 
diff -u ./multiplayer/game_shared/vgui_loadtga.h.orig ./multiplayer/game_shared/vgui_loadtga.h
--- ./multiplayer/game_shared/vgui_loadtga.h.orig	2002-10-03 11:57:46.000000000 -0400
+++ ./multiplayer/game_shared/vgui_loadtga.h	2002-11-26 23:28:07.000000000 -0500
@@ -8,7 +8,9 @@
 #ifndef VGUI_LOADTGA_H
 #define VGUI_LOADTGA_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 
diff -u ./multiplayer/game_shared/vgui_scrollbar2.h.orig ./multiplayer/game_shared/vgui_scrollbar2.h
--- ./multiplayer/game_shared/vgui_scrollbar2.h.orig	2002-10-03 11:57:46.000000000 -0400
+++ ./multiplayer/game_shared/vgui_scrollbar2.h	2002-11-26 23:28:07.000000000 -0500
@@ -8,7 +8,9 @@
 #ifndef VGUI_SCROLLBAR2_H
 #define VGUI_SCROLLBAR2_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #include<VGUI.h>
diff -u ./multiplayer/game_shared/vgui_slider2.cpp.orig ./multiplayer/game_shared/vgui_slider2.cpp
--- ./multiplayer/game_shared/vgui_slider2.cpp.orig	2002-10-03 11:57:46.000000000 -0400
+++ ./multiplayer/game_shared/vgui_slider2.cpp	2002-11-26 23:28:07.000000000 -0500
@@ -433,4 +433,4 @@
 void Slider2::setButtonOffset(int buttonOffset)
 {
 	_buttonOffset=buttonOffset;
-}
\ No newline at end of file
+}
diff -u ./multiplayer/game_shared/vgui_slider2.h.orig ./multiplayer/game_shared/vgui_slider2.h
--- ./multiplayer/game_shared/vgui_slider2.h.orig	2002-10-03 11:57:46.000000000 -0400
+++ ./multiplayer/game_shared/vgui_slider2.h	2002-11-26 23:28:07.000000000 -0500
@@ -8,7 +8,9 @@
 #ifndef VGUI_SLIDER2_H
 #define VGUI_SLIDER2_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #include<VGUI.h>
diff -u ./multiplayer/game_shared/voice_banmgr.h.orig ./multiplayer/game_shared/voice_banmgr.h
--- ./multiplayer/game_shared/voice_banmgr.h.orig	2002-10-03 11:57:46.000000000 -0400
+++ ./multiplayer/game_shared/voice_banmgr.h	2002-11-26 23:28:07.000000000 -0500
@@ -8,7 +8,9 @@
 #ifndef VOICE_BANMGR_H
 #define VOICE_BANMGR_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 
diff -u ./multiplayer/game_shared/voice_common.h.orig ./multiplayer/game_shared/voice_common.h
--- ./multiplayer/game_shared/voice_common.h.orig	2002-10-03 11:57:46.000000000 -0400
+++ ./multiplayer/game_shared/voice_common.h	2002-11-26 23:28:07.000000000 -0500
@@ -8,7 +8,9 @@
 #ifndef VOICE_COMMON_H
 #define VOICE_COMMON_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 
diff -u ./multiplayer/game_shared/voice_gamemgr.h.orig ./multiplayer/game_shared/voice_gamemgr.h
--- ./multiplayer/game_shared/voice_gamemgr.h.orig	2002-10-03 11:57:46.000000000 -0400
+++ ./multiplayer/game_shared/voice_gamemgr.h	2002-11-26 23:28:07.000000000 -0500
@@ -7,7 +7,11 @@
 
 #ifndef VOICE_GAMEMGR_H
 #define VOICE_GAMEMGR_H
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 
 #include "voice_common.h"
diff -u ./multiplayer/game_shared/voice_status.h.orig ./multiplayer/game_shared/voice_status.h
--- ./multiplayer/game_shared/voice_status.h.orig	2002-10-03 11:57:46.000000000 -0400
+++ ./multiplayer/game_shared/voice_status.h	2002-11-26 23:28:07.000000000 -0500
@@ -7,7 +7,11 @@
 
 #ifndef VOICE_STATUS_H
 #define VOICE_STATUS_H
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 
 #include "VGUI_Label.h"
diff -u ./multiplayer/game_shared/voice_vgui_tweakdlg.h.orig ./multiplayer/game_shared/voice_vgui_tweakdlg.h
--- ./multiplayer/game_shared/voice_vgui_tweakdlg.h.orig	2002-10-03 11:57:46.000000000 -0400
+++ ./multiplayer/game_shared/voice_vgui_tweakdlg.h	2002-11-26 23:28:07.000000000 -0500
@@ -8,7 +8,9 @@
 #ifndef VOICE_VGUI_TWEAKDLG_H
 #define VOICE_VGUI_TWEAKDLG_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 
diff -u ./multiplayer/pm_shared/pm_debug.h.orig ./multiplayer/pm_shared/pm_debug.h
--- ./multiplayer/pm_shared/pm_debug.h.orig	2002-10-03 11:57:48.000000000 -0400
+++ ./multiplayer/pm_shared/pm_debug.h	2002-11-26 23:28:07.000000000 -0500
@@ -14,7 +14,11 @@
 ****/
 #ifndef PM_DEBUG_H
 #define PM_DEBUG_H
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 void PM_ViewEntity( void );
 void PM_DrawBBox(vec3_t mins, vec3_t maxs, vec3_t origin, int pcolor, float life);
diff -u ./multiplayer/pm_shared/pm_defs.h.orig ./multiplayer/pm_shared/pm_defs.h
--- ./multiplayer/pm_shared/pm_defs.h.orig	2002-10-03 11:57:48.000000000 -0400
+++ ./multiplayer/pm_shared/pm_defs.h	2002-11-26 23:28:07.000000000 -0500
@@ -15,7 +15,11 @@
 // pm_defs.h
 #if !defined( PM_DEFSH )
 #define PM_DEFSH
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 #define	MAX_PHYSENTS 600 		  // Must have room for all entities in the world.
 #define MAX_MOVEENTS 64
diff -u ./multiplayer/pm_shared/pm_info.h.orig ./multiplayer/pm_shared/pm_info.h
--- ./multiplayer/pm_shared/pm_info.h.orig	2002-10-03 11:57:48.000000000 -0400
+++ ./multiplayer/pm_shared/pm_info.h	2002-11-26 23:32:58.000000000 -0500
@@ -16,7 +16,9 @@
 #if !defined( PM_INFOH )
 #define PM_INFOH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #define MAX_PHYSINFO_STRING 256
diff -u ./multiplayer/pm_shared/pm_materials.h.orig ./multiplayer/pm_shared/pm_materials.h
--- ./multiplayer/pm_shared/pm_materials.h.orig	2002-10-03 11:57:48.000000000 -0400
+++ ./multiplayer/pm_shared/pm_materials.h	2002-11-26 23:28:07.000000000 -0500
@@ -14,7 +14,11 @@
 ****/
 #if !defined( PM_MATERIALSH )
 #define PM_MATERIALSH
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 #define CBTEXTURENAMEMAX	13			// only load first n chars of name
 
diff -u ./multiplayer/pm_shared/pm_movevars.h.orig ./multiplayer/pm_shared/pm_movevars.h
--- ./multiplayer/pm_shared/pm_movevars.h.orig	2002-10-03 11:57:48.000000000 -0400
+++ ./multiplayer/pm_shared/pm_movevars.h	2002-11-26 23:28:07.000000000 -0500
@@ -44,4 +44,4 @@
 
 extern movevars_t movevars;
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/pm_shared/pm_shared.h.orig ./multiplayer/pm_shared/pm_shared.h
--- ./multiplayer/pm_shared/pm_shared.h.orig	2002-10-03 11:57:48.000000000 -0400
+++ ./multiplayer/pm_shared/pm_shared.h	2002-11-26 23:28:07.000000000 -0500
@@ -18,7 +18,11 @@
 //
 #if !defined( PM_SHAREDH )
 #define PM_SHAREDH
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 void PM_Init( struct playermove_s *ppmove );
 void PM_Move ( struct playermove_s *ppmove, int server );
@@ -33,4 +37,4 @@
 #define OBS_MAP_FREE			5
 #define OBS_MAP_CHASE			6
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/common/movie.h.orig ./multiplayer/utils/common/movie.h
--- ./multiplayer/utils/common/movie.h.orig	2002-10-03 11:58:00.000000000 -0400
+++ ./multiplayer/utils/common/movie.h	2002-11-26 23:28:07.000000000 -0500
@@ -33,4 +33,4 @@
 
 
 
-#endif _MOVIE_H_
\ No newline at end of file
+#endif _MOVIE_H_
diff -u ./multiplayer/utils/common/polylib.h.orig ./multiplayer/utils/common/polylib.h
--- ./multiplayer/utils/common/polylib.h.orig	2002-10-03 11:58:00.000000000 -0400
+++ ./multiplayer/utils/common/polylib.h	2002-11-26 23:28:07.000000000 -0500
@@ -33,4 +33,4 @@
 void	RemoveColinearPoints (winding_t *w);
 int		WindingOnPlaneSide (winding_t *w, vec3_t normal, vec_t dist);
 void	FreeWinding (winding_t *w);
-void	WindingBounds (winding_t *w, vec3_t mins, vec3_t maxs);
\ No newline at end of file
+void	WindingBounds (winding_t *w, vec3_t mins, vec3_t maxs);
diff -u ./multiplayer/utils/makels/makels.cpp.orig ./multiplayer/utils/makels/makels.cpp
--- ./multiplayer/utils/makels/makels.cpp.orig	2002-10-03 11:58:00.000000000 -0400
+++ ./multiplayer/utils/makels/makels.cpp	2002-11-26 23:28:07.000000000 -0500
@@ -170,4 +170,4 @@
 	free(pszdir);
 	exit(0);
 	return 0;
-}
\ No newline at end of file
+}
diff -u ./multiplayer/utils/procinfo/procinfo.h.orig ./multiplayer/utils/procinfo/procinfo.h
--- ./multiplayer/utils/procinfo/procinfo.h.orig	2002-10-03 11:58:02.000000000 -0400
+++ ./multiplayer/utils/procinfo/procinfo.h	2002-11-26 23:28:07.000000000 -0500
@@ -7,7 +7,11 @@
 
 #if !defined ( PROCINFOH )
 #define PROCINFOH
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 int		PROC_GetSpeed( void );
 int		PROC_IsMMX( void );
diff -u ./multiplayer/utils/qcsg/hullfile.c.orig ./multiplayer/utils/qcsg/hullfile.c
--- ./multiplayer/utils/qcsg/hullfile.c.orig	2002-10-03 11:58:02.000000000 -0400
+++ ./multiplayer/utils/qcsg/hullfile.c	2002-11-26 23:28:07.000000000 -0500
@@ -84,4 +84,4 @@
 	}
 
 	fclose( f );
-}
\ No newline at end of file
+}
diff -u ./multiplayer/utils/qlumpy/qlumpy.c.orig ./multiplayer/utils/qlumpy/qlumpy.c
--- ./multiplayer/utils/qlumpy/qlumpy.c.orig	2002-10-03 11:58:04.000000000 -0400
+++ ./multiplayer/utils/qlumpy/qlumpy.c	2002-11-26 23:28:07.000000000 -0500
@@ -427,4 +427,4 @@
 	}
 		
 	return 0;
-}
\ No newline at end of file
+}
diff -u ./multiplayer/utils/serverctrl/ServerCtrl.h.orig ./multiplayer/utils/serverctrl/ServerCtrl.h
--- ./multiplayer/utils/serverctrl/ServerCtrl.h.orig	2002-10-03 11:58:04.000000000 -0400
+++ ./multiplayer/utils/serverctrl/ServerCtrl.h	2002-11-26 23:28:07.000000000 -0500
@@ -5,7 +5,11 @@
 #define AFX_ServerCtrl_H__E2974CA6_EF9F_11D3_A4D9_00105A1727F3__INCLUDED_
 
 #if _MSC_VER > 1000
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 #endif // _MSC_VER > 1000
 
 #ifndef __AFXWIN_H__
diff -u ./multiplayer/utils/serverctrl/ServerCtrlDlg.cpp.orig ./multiplayer/utils/serverctrl/ServerCtrlDlg.cpp
--- ./multiplayer/utils/serverctrl/ServerCtrlDlg.cpp.orig	2002-10-03 11:58:04.000000000 -0400
+++ ./multiplayer/utils/serverctrl/ServerCtrlDlg.cpp	2002-11-26 23:28:07.000000000 -0500
@@ -655,4 +655,4 @@
 	}
 
 	return 0;
-}
\ No newline at end of file
+}
diff -u ./multiplayer/utils/serverctrl/ServerCtrlDlg.h.orig ./multiplayer/utils/serverctrl/ServerCtrlDlg.h
--- ./multiplayer/utils/serverctrl/ServerCtrlDlg.h.orig	2002-10-03 11:58:04.000000000 -0400
+++ ./multiplayer/utils/serverctrl/ServerCtrlDlg.h	2002-11-26 23:28:07.000000000 -0500
@@ -5,7 +5,11 @@
 #define AFX_ServerCtrlDLG_H__E2974CA8_EF9F_11D3_A4D9_00105A1727F3__INCLUDED_
 
 #if _MSC_VER > 1000
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 #endif // _MSC_VER > 1000
 
 /////////////////////////////////////////////////////////////////////////////
diff -u ./multiplayer/utils/serverctrl/StdAfx.h.orig ./multiplayer/utils/serverctrl/StdAfx.h
--- ./multiplayer/utils/serverctrl/StdAfx.h.orig	2002-10-03 11:58:04.000000000 -0400
+++ ./multiplayer/utils/serverctrl/StdAfx.h	2002-11-26 23:28:07.000000000 -0500
@@ -7,7 +7,11 @@
 #define AFX_STDAFX_H__E2974CAA_EF9F_11D3_A4D9_00105A1727F3__INCLUDED_
 
 #if _MSC_VER > 1000
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 #endif // _MSC_VER > 1000
 
 #define VC_EXTRALEAN		// Exclude rarely-used stuff from Windows headers
diff -u ./multiplayer/utils/vgui/include/VGUI_Bitmap.h.orig ./multiplayer/utils/vgui/include/VGUI_Bitmap.h
--- ./multiplayer/utils/vgui/include/VGUI_Bitmap.h.orig	2002-10-03 11:58:06.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_Bitmap.h	2002-11-26 23:28:07.000000000 -0500
@@ -34,4 +34,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_BitmapTGA.h.orig ./multiplayer/utils/vgui/include/VGUI_BitmapTGA.h
--- ./multiplayer/utils/vgui/include/VGUI_BitmapTGA.h.orig	2002-10-03 11:58:06.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_BitmapTGA.h	2002-11-26 23:28:07.000000000 -0500
@@ -26,4 +26,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_Border.h.orig ./multiplayer/utils/vgui/include/VGUI_Border.h
--- ./multiplayer/utils/vgui/include/VGUI_Border.h.orig	2002-10-03 11:58:06.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_Border.h	2002-11-26 23:28:07.000000000 -0500
@@ -42,4 +42,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_BorderPair.h.orig ./multiplayer/utils/vgui/include/VGUI_BorderPair.h
--- ./multiplayer/utils/vgui/include/VGUI_BorderPair.h.orig	2002-10-03 11:58:06.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_BorderPair.h	2002-11-26 23:28:07.000000000 -0500
@@ -30,4 +30,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_BuildGroup.h.orig ./multiplayer/utils/vgui/include/VGUI_BuildGroup.h
--- ./multiplayer/utils/vgui/include/VGUI_BuildGroup.h.orig	2002-10-03 11:58:06.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_BuildGroup.h	2002-11-26 23:28:07.000000000 -0500
@@ -64,4 +64,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_Button.h.orig ./multiplayer/utils/vgui/include/VGUI_Button.h
--- ./multiplayer/utils/vgui/include/VGUI_Button.h.orig	2002-10-03 11:58:06.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_Button.h	2002-11-26 23:28:07.000000000 -0500
@@ -58,4 +58,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_ButtonGroup.h.orig ./multiplayer/utils/vgui/include/VGUI_ButtonGroup.h
--- ./multiplayer/utils/vgui/include/VGUI_ButtonGroup.h.orig	2002-10-03 11:58:06.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_ButtonGroup.h	2002-11-26 23:28:07.000000000 -0500
@@ -27,4 +27,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_ChangeSignal.h.orig ./multiplayer/utils/vgui/include/VGUI_ChangeSignal.h
--- ./multiplayer/utils/vgui/include/VGUI_ChangeSignal.h.orig	2002-10-03 11:58:06.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_ChangeSignal.h	2002-11-26 23:28:07.000000000 -0500
@@ -23,4 +23,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_CheckButton.h.orig ./multiplayer/utils/vgui/include/VGUI_CheckButton.h
--- ./multiplayer/utils/vgui/include/VGUI_CheckButton.h.orig	2002-10-03 11:58:06.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_CheckButton.h	2002-11-26 23:28:07.000000000 -0500
@@ -25,4 +25,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_ComboKey.h.orig ./multiplayer/utils/vgui/include/VGUI_ComboKey.h
--- ./multiplayer/utils/vgui/include/VGUI_ComboKey.h.orig	2002-10-03 11:58:06.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_ComboKey.h	2002-11-26 23:28:07.000000000 -0500
@@ -31,4 +31,4 @@
 }
 
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_ConfigWizard.h.orig ./multiplayer/utils/vgui/include/VGUI_ConfigWizard.h
--- ./multiplayer/utils/vgui/include/VGUI_ConfigWizard.h.orig	2002-10-03 11:58:06.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_ConfigWizard.h	2002-11-26 23:28:07.000000000 -0500
@@ -37,4 +37,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_Cursor.h.orig ./multiplayer/utils/vgui/include/VGUI_Cursor.h
--- ./multiplayer/utils/vgui/include/VGUI_Cursor.h.orig	2002-10-03 11:58:06.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_Cursor.h	2002-11-26 23:28:07.000000000 -0500
@@ -54,4 +54,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_Dar.h.orig ./multiplayer/utils/vgui/include/VGUI_Dar.h
--- ./multiplayer/utils/vgui/include/VGUI_Dar.h.orig	2002-10-03 11:58:06.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_Dar.h	2002-11-26 23:28:07.000000000 -0500
@@ -190,4 +190,4 @@
 }
 
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_DataInputStream.h.orig ./multiplayer/utils/vgui/include/VGUI_DataInputStream.h
--- ./multiplayer/utils/vgui/include/VGUI_DataInputStream.h.orig	2002-10-03 11:58:06.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_DataInputStream.h	2002-11-26 23:28:07.000000000 -0500
@@ -46,4 +46,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_Desktop.h.orig ./multiplayer/utils/vgui/include/VGUI_Desktop.h
--- ./multiplayer/utils/vgui/include/VGUI_Desktop.h.orig	2002-10-03 11:58:06.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_Desktop.h	2002-11-26 23:28:07.000000000 -0500
@@ -39,4 +39,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_DesktopIcon.h.orig ./multiplayer/utils/vgui/include/VGUI_DesktopIcon.h
--- ./multiplayer/utils/vgui/include/VGUI_DesktopIcon.h.orig	2002-10-03 11:58:06.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_DesktopIcon.h	2002-11-26 23:28:07.000000000 -0500
@@ -38,4 +38,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_EditPanel.h.orig ./multiplayer/utils/vgui/include/VGUI_EditPanel.h
--- ./multiplayer/utils/vgui/include/VGUI_EditPanel.h.orig	2002-10-03 11:58:06.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_EditPanel.h	2002-11-26 23:28:08.000000000 -0500
@@ -62,4 +62,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_EtchedBorder.h.orig ./multiplayer/utils/vgui/include/VGUI_EtchedBorder.h
--- ./multiplayer/utils/vgui/include/VGUI_EtchedBorder.h.orig	2002-10-03 11:58:06.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_EtchedBorder.h	2002-11-26 23:28:08.000000000 -0500
@@ -26,4 +26,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_FlowLayout.h.orig ./multiplayer/utils/vgui/include/VGUI_FlowLayout.h
--- ./multiplayer/utils/vgui/include/VGUI_FlowLayout.h.orig	2002-10-03 11:58:06.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_FlowLayout.h	2002-11-26 23:28:08.000000000 -0500
@@ -26,4 +26,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_FocusChangeSignal.h.orig ./multiplayer/utils/vgui/include/VGUI_FocusChangeSignal.h
--- ./multiplayer/utils/vgui/include/VGUI_FocusChangeSignal.h.orig	2002-10-03 11:58:06.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_FocusChangeSignal.h	2002-11-26 23:28:08.000000000 -0500
@@ -23,4 +23,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_FocusNavGroup.h.orig ./multiplayer/utils/vgui/include/VGUI_FocusNavGroup.h
--- ./multiplayer/utils/vgui/include/VGUI_FocusNavGroup.h.orig	2002-10-03 11:58:06.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_FocusNavGroup.h	2002-11-26 23:28:08.000000000 -0500
@@ -32,4 +32,4 @@
 };
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_Font.h.orig ./multiplayer/utils/vgui/include/VGUI_Font.h
--- ./multiplayer/utils/vgui/include/VGUI_Font.h.orig	2002-10-03 11:58:06.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_Font.h	2002-11-26 23:28:08.000000000 -0500
@@ -45,4 +45,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_FrameSignal.h.orig ./multiplayer/utils/vgui/include/VGUI_FrameSignal.h
--- ./multiplayer/utils/vgui/include/VGUI_FrameSignal.h.orig	2002-10-03 11:58:06.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_FrameSignal.h	2002-11-26 23:28:08.000000000 -0500
@@ -24,4 +24,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_GridLayout.h.orig ./multiplayer/utils/vgui/include/VGUI_GridLayout.h
--- ./multiplayer/utils/vgui/include/VGUI_GridLayout.h.orig	2002-10-03 11:58:06.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_GridLayout.h	2002-11-26 23:28:08.000000000 -0500
@@ -27,4 +27,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_Image.h.orig ./multiplayer/utils/vgui/include/VGUI_Image.h
--- ./multiplayer/utils/vgui/include/VGUI_Image.h.orig	2002-10-03 11:58:08.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_Image.h	2002-11-26 23:28:08.000000000 -0500
@@ -59,4 +59,4 @@
 };
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_ImagePanel.h.orig ./multiplayer/utils/vgui/include/VGUI_ImagePanel.h
--- ./multiplayer/utils/vgui/include/VGUI_ImagePanel.h.orig	2002-10-03 11:58:08.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_ImagePanel.h	2002-11-26 23:28:08.000000000 -0500
@@ -35,4 +35,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_InputSignal.h.orig ./multiplayer/utils/vgui/include/VGUI_InputSignal.h
--- ./multiplayer/utils/vgui/include/VGUI_InputSignal.h.orig	2002-10-03 11:58:08.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_InputSignal.h	2002-11-26 23:28:08.000000000 -0500
@@ -36,4 +36,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_InputStream.h.orig ./multiplayer/utils/vgui/include/VGUI_InputStream.h
--- ./multiplayer/utils/vgui/include/VGUI_InputStream.h.orig	2002-10-03 11:58:08.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_InputStream.h	2002-11-26 23:28:08.000000000 -0500
@@ -27,4 +27,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_IntChangeSignal.h.orig ./multiplayer/utils/vgui/include/VGUI_IntChangeSignal.h
--- ./multiplayer/utils/vgui/include/VGUI_IntChangeSignal.h.orig	2002-10-03 11:58:08.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_IntChangeSignal.h	2002-11-26 23:28:08.000000000 -0500
@@ -23,4 +23,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_Label.h.orig ./multiplayer/utils/vgui/include/VGUI_Label.h
--- ./multiplayer/utils/vgui/include/VGUI_Label.h.orig	2002-10-03 11:58:08.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_Label.h	2002-11-26 23:28:08.000000000 -0500
@@ -77,4 +77,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_Layout.h.orig ./multiplayer/utils/vgui/include/VGUI_Layout.h
--- ./multiplayer/utils/vgui/include/VGUI_Layout.h.orig	2002-10-03 11:58:08.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_Layout.h	2002-11-26 23:28:08.000000000 -0500
@@ -28,4 +28,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_LayoutInfo.h.orig ./multiplayer/utils/vgui/include/VGUI_LayoutInfo.h
--- ./multiplayer/utils/vgui/include/VGUI_LayoutInfo.h.orig	2002-10-03 11:58:08.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_LayoutInfo.h	2002-11-26 23:28:08.000000000 -0500
@@ -18,4 +18,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_LineBorder.h.orig ./multiplayer/utils/vgui/include/VGUI_LineBorder.h
--- ./multiplayer/utils/vgui/include/VGUI_LineBorder.h.orig	2002-10-03 11:58:08.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_LineBorder.h	2002-11-26 23:28:08.000000000 -0500
@@ -36,4 +36,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_ListPanel.h.orig ./multiplayer/utils/vgui/include/VGUI_ListPanel.h
--- ./multiplayer/utils/vgui/include/VGUI_ListPanel.h.orig	2002-10-03 11:58:08.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_ListPanel.h	2002-11-26 23:28:08.000000000 -0500
@@ -37,4 +37,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_LoweredBorder.h.orig ./multiplayer/utils/vgui/include/VGUI_LoweredBorder.h
--- ./multiplayer/utils/vgui/include/VGUI_LoweredBorder.h.orig	2002-10-03 11:58:08.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_LoweredBorder.h	2002-11-26 23:28:08.000000000 -0500
@@ -26,4 +26,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_Menu.h.orig ./multiplayer/utils/vgui/include/VGUI_Menu.h
--- ./multiplayer/utils/vgui/include/VGUI_Menu.h.orig	2002-10-03 11:58:08.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_Menu.h	2002-11-26 23:28:08.000000000 -0500
@@ -27,4 +27,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_MenuItem.h.orig ./multiplayer/utils/vgui/include/VGUI_MenuItem.h
--- ./multiplayer/utils/vgui/include/VGUI_MenuItem.h.orig	2002-10-03 11:58:08.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_MenuItem.h	2002-11-26 23:28:08.000000000 -0500
@@ -27,4 +27,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_MenuSeparator.h.orig ./multiplayer/utils/vgui/include/VGUI_MenuSeparator.h
--- ./multiplayer/utils/vgui/include/VGUI_MenuSeparator.h.orig	2002-10-03 11:58:08.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_MenuSeparator.h	2002-11-26 23:28:08.000000000 -0500
@@ -24,4 +24,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_MessageBox.h.orig ./multiplayer/utils/vgui/include/VGUI_MessageBox.h
--- ./multiplayer/utils/vgui/include/VGUI_MessageBox.h.orig	2002-10-03 11:58:08.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_MessageBox.h	2002-11-26 23:28:08.000000000 -0500
@@ -50,4 +50,4 @@
 
 
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_MiniApp.h.orig ./multiplayer/utils/vgui/include/VGUI_MiniApp.h
--- ./multiplayer/utils/vgui/include/VGUI_MiniApp.h.orig	2002-10-03 11:58:08.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_MiniApp.h	2002-11-26 23:28:08.000000000 -0500
@@ -30,4 +30,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_MouseCode.h.orig ./multiplayer/utils/vgui/include/VGUI_MouseCode.h
--- ./multiplayer/utils/vgui/include/VGUI_MouseCode.h.orig	2002-10-03 11:58:08.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_MouseCode.h	2002-11-26 23:28:08.000000000 -0500
@@ -21,4 +21,4 @@
 };
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_PopupMenu.h.orig ./multiplayer/utils/vgui/include/VGUI_PopupMenu.h
--- ./multiplayer/utils/vgui/include/VGUI_PopupMenu.h.orig	2002-10-03 11:58:08.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_PopupMenu.h	2002-11-26 23:28:08.000000000 -0500
@@ -27,4 +27,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_ProgressBar.h.orig ./multiplayer/utils/vgui/include/VGUI_ProgressBar.h
--- ./multiplayer/utils/vgui/include/VGUI_ProgressBar.h.orig	2002-10-03 11:58:08.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_ProgressBar.h	2002-11-26 23:28:08.000000000 -0500
@@ -30,4 +30,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_RaisedBorder.h.orig ./multiplayer/utils/vgui/include/VGUI_RaisedBorder.h
--- ./multiplayer/utils/vgui/include/VGUI_RaisedBorder.h.orig	2002-10-03 11:58:08.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_RaisedBorder.h	2002-11-26 23:28:08.000000000 -0500
@@ -26,4 +26,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_RepaintSignal.h.orig ./multiplayer/utils/vgui/include/VGUI_RepaintSignal.h
--- ./multiplayer/utils/vgui/include/VGUI_RepaintSignal.h.orig	2002-10-03 11:58:08.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_RepaintSignal.h	2002-11-26 23:28:08.000000000 -0500
@@ -22,4 +22,4 @@
 }
 
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_Scheme.h.orig ./multiplayer/utils/vgui/include/VGUI_Scheme.h
--- ./multiplayer/utils/vgui/include/VGUI_Scheme.h.orig	2002-10-03 11:58:08.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_Scheme.h	2002-11-26 23:28:08.000000000 -0500
@@ -79,4 +79,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_ScrollBar.h.orig ./multiplayer/utils/vgui/include/VGUI_ScrollBar.h
--- ./multiplayer/utils/vgui/include/VGUI_ScrollBar.h.orig	2002-10-03 11:58:08.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_ScrollBar.h	2002-11-26 23:28:08.000000000 -0500
@@ -53,4 +53,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_StackLayout.h.orig ./multiplayer/utils/vgui/include/VGUI_StackLayout.h
--- ./multiplayer/utils/vgui/include/VGUI_StackLayout.h.orig	2002-10-03 11:58:08.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_StackLayout.h	2002-11-26 23:28:08.000000000 -0500
@@ -27,4 +27,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_TabPanel.h.orig ./multiplayer/utils/vgui/include/VGUI_TabPanel.h
--- ./multiplayer/utils/vgui/include/VGUI_TabPanel.h.orig	2002-10-03 11:58:08.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_TabPanel.h	2002-11-26 23:28:08.000000000 -0500
@@ -46,4 +46,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_TablePanel.h.orig ./multiplayer/utils/vgui/include/VGUI_TablePanel.h
--- ./multiplayer/utils/vgui/include/VGUI_TablePanel.h.orig	2002-10-03 11:58:08.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_TablePanel.h	2002-11-26 23:28:08.000000000 -0500
@@ -68,4 +68,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_TaskBar.h.orig ./multiplayer/utils/vgui/include/VGUI_TaskBar.h
--- ./multiplayer/utils/vgui/include/VGUI_TaskBar.h.orig	2002-10-03 11:58:08.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_TaskBar.h	2002-11-26 23:28:08.000000000 -0500
@@ -34,4 +34,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_TextEntry.h.orig ./multiplayer/utils/vgui/include/VGUI_TextEntry.h
--- ./multiplayer/utils/vgui/include/VGUI_TextEntry.h.orig	2002-10-03 11:58:08.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_TextEntry.h	2002-11-26 23:28:08.000000000 -0500
@@ -77,4 +77,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_TextGrid.h.orig ./multiplayer/utils/vgui/include/VGUI_TextGrid.h
--- ./multiplayer/utils/vgui/include/VGUI_TextGrid.h.orig	2002-10-03 11:58:08.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_TextGrid.h	2002-11-26 23:28:08.000000000 -0500
@@ -39,4 +39,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_TickSignal.h.orig ./multiplayer/utils/vgui/include/VGUI_TickSignal.h
--- ./multiplayer/utils/vgui/include/VGUI_TickSignal.h.orig	2002-10-03 11:58:08.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_TickSignal.h	2002-11-26 23:28:08.000000000 -0500
@@ -19,4 +19,4 @@
  };
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_ToggleButton.h.orig ./multiplayer/utils/vgui/include/VGUI_ToggleButton.h
--- ./multiplayer/utils/vgui/include/VGUI_ToggleButton.h.orig	2002-10-03 11:58:08.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_ToggleButton.h	2002-11-26 23:28:08.000000000 -0500
@@ -23,4 +23,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/vgui/include/VGUI_TreeFolder.h.orig ./multiplayer/utils/vgui/include/VGUI_TreeFolder.h
--- ./multiplayer/utils/vgui/include/VGUI_TreeFolder.h.orig	2002-10-03 11:58:08.000000000 -0400
+++ ./multiplayer/utils/vgui/include/VGUI_TreeFolder.h	2002-11-26 23:28:09.000000000 -0500
@@ -33,4 +33,4 @@
 
 }
 
-#endif
\ No newline at end of file
+#endif
diff -u ./multiplayer/utils/xwad/xwad.c.orig ./multiplayer/utils/xwad/xwad.c
--- ./multiplayer/utils/xwad/xwad.c.orig	2002-10-03 11:58:10.000000000 -0400
+++ ./multiplayer/utils/xwad/xwad.c	2002-11-26 23:28:09.000000000 -0500
@@ -154,4 +154,4 @@
 
 	if( do16bit )
 		GrabPalette16();
-*/
\ No newline at end of file
+*/
